#include <iostream>
#include <algorithm>

using namespace std;

string tekst=" ";
string rec = " ";
int niz[49];
int niz_pom[49];

bool funkcija(int pozicija_r,int pozicija_t)
{
	for (int i = pozicija_t; i >= 0; i--)
	{
		if (pozicija_r != rec.length() - 1)
		{
			if (tekst[i] == rec[pozicija_r + 1])
			{
				niz[pozicija_r + 1]++;
			}
		}
		if (tekst[i] == rec[pozicija_r])
		{
			if (pozicija_r == 0)
			{
				return true;
			}
			
			niz[pozicija_r]++;
			pozicija_r--;
			pozicija_t = i-1;
			return funkcija(pozicija_r, pozicija_t);
			
		}
	}
	return false;
}

int main()
{
	int min1;
	cin >> tekst;
	cin >> rec;

	funkcija(rec.length() - 1, tekst.length() - 1);

	min1 = niz[1];
	for (int i = 2; i < rec.length(); i++)
	{
		if (min1 > niz[i])
		{
			min1 = niz[i];
		}
		
	}
	cout << min1;
}